/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :main.cpp

	DESCRIPTION :	Fonction qui crée l'application principale
						et l'exécute

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylene Denis & Jean-Francois Pérusse

===============================================================================*/

#include <time.h>
#include <fstream>
using namespace std;
#include <qapplication.h>
#include <qgl.h>
#include "frmmenuprincipal.h"
#include "al/al.h"
#include "al/alc.h"
#include "al/alut.h"

int main( int argc, char ** argv )
{
    srand(time(0));
  // initialisation du son
    alutInit(&argc, argv);
    alGetError();

   QApplication a( argc, argv );

   //Ces lignes mettent le stencil par défaut pour tous les qglwidget créés
   QGLFormat f;
    f.setStencil( TRUE );
    QGLFormat::setDefaultFormat( f );

    frmMenuPrincipal w;
    w.show();
    a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
    return a.exec();
}
